www.cendio.com

Bug 5369

Summary: Wrong keysyms are sent for Super_L, Super_R and Meta in the HTML5 client
Product: ThinLinc Reporter: Samuel Mannehed <samuel@cendio.se>
Component: Web AccessAssignee: Samuel Mannehed <samuel@cendio.se>
Status: CLOSED FIXED QA Contact: Bugzilla mail exporter <bugzilla-qa@cendio.se>
Severity: Normal    
Priority: P2 CC: astrand@cendio.se
Version: trunkKeywords: ossman_tester, relnotes
Target Milestone: 4.4.0   
Hardware: PC   
OS: Unknown   
Acceptance Criteria:
Bug Depends on:    
Bug Blocks: 5135    

Description From cendio 2014-11-26 10:25:00
Currently:
0xFE07 is sent as Meta, the correct value should be 0xFFE7
0xFFEC is sent as Super_L, the correct value should be 0xFFEB
0xFFED is sent as Super_R, the correct value should be 0xFFEC
------- Comment #1 From cendio 2014-11-26 10:36:13 -------
Fixed upstream in commit 282834c

Fixed in ThinLinc by vendordrop in commit 29630.
------- Comment #3 From cendio 2015-04-24 13:13:29 -------
Not sure how to test this. Super_L works, but Super_R also sends Super_L. And
Shift-Alt_L generates Meta_L locally, but Alt_L is sent. Remapping the keyboard
to have an unmodified Meta_L makes it send Meta_L to the server though.
------- Comment #4 From cendio 2015-04-24 14:47:28 -------
I had forgotten to note on this bug what I wrote on bug 5135. Super_L, Super_R
and Meta are after the fix sent as the correct keysym values. However there are
still issues with the browsers which prevents the correct keys to be sent into
the session.

The actual end-user issues that has been verified to be fixed here and that
should be tested for this bug are:

* Super_L was being sent as Super_R in Chrome on Linux, Android and Windows
* Super_R was being sent as Shift_L + Hyper_L in IE and Chrome on Windows and
Chrome on Android
* Meta_L was not being sent

All in all, we should now have the correct behavior regarding Super_L, Super_R
and Meta from our side, the remaining issues should only lie in the browsers.
------- Comment #5 From cendio 2015-04-30 14:12:04 -------
Works with Chrome on Windows 8.